Update Backup Posture Control
Updates a backup posture control.
The update is a full replacement, not a partial
update.
Omitted fields are reset and are no longer enforced as part of the control.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project whose backup posture control you want to update. You can get your project ID from the API Credentials page in your global management console.
controlId
ID of the backup posture control to update.
Request
This endpoint expects an object.
name
Display name of the control.
severity
Severity assigned to violations of the control.
Allowed values:
resourceSelector
Resource selector determining which resources the control applies to.
rules
Backup requirements a matching resource must satisfy.
Response
Backup posture control updated.
id
ID of the backup posture control.
name
Display name of the control.
severity
Severity assigned to control violations.
Allowed values:
resourceSelector
Determines which resources the control applies to.
rules
Backup requirements a matching resource must satisfy.
Errors
404
Not Found Error